Issue #12709 has been reported by Nobuyoshi Nakada.

----------------------------------------
Bug #12709: POSIX-noncompliant setenv
https://bugs.ruby-lang.org/issues/12709

* Author: Nobuyoshi Nakada
* Status: Open
* Priority: Normal
* Assignee: 
* ruby -v: 
* Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN
----------------------------------------
I found `setenv()` macro which is noncompliant to POSIX is still defined in `include/ruby/util.h`.
I can't remember where 2-arguments `setenv()` was provided.
Shouldn't it be removed?

https://github.com/ruby/ruby/compare/trunk...nobu:POSIX-noncompliant-setenv



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>